﻿using Infragistics.Documents.RichText;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RichTextEditorPasteHtml
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            richTextEditor1.Document = new RichTextDocument();

            richTextEditor1.Document.RootNode.Settings = new DocumentSettings();
            richTextEditor1.Document.RootNode.Settings.DefaultParagraphSettings = CreateSettings();
        }

        ParagraphSettings CreateSettings()
        {
            var settings = new Infragistics.Documents.RichText.ParagraphSettings();
            settings.Spacing = new Infragistics.Documents.RichText.ParagraphSpacingSettings();
            settings.Spacing.LineSpacing = new Infragistics.Documents.RichText.LineSpacing(new Extent(0, ExtentUnitType.LogicalPixels), ExtentRule.Exact);
            settings.Spacing.AfterParagraph = new Infragistics.Documents.RichText.ParagraphVerticalSpacing(new Extent(0, ExtentUnitType.LogicalPixels));
            settings.Spacing.BeforeParagraph = new Infragistics.Documents.RichText.ParagraphVerticalSpacing(new Extent(0, ExtentUnitType.LogicalPixels));
            settings.WordWrap = true;
            return settings;
        }
    }
}
